Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_MT_MEM_IO::Simple_Queue Class Reference

`#include <MEM_IO.h>`

Collaboration diagram for ACE_MT_MEM_IO::Simple_Queue:

[legend]
List of all members.

## Public Methods
ACE_INLINE_FOR_GNUC | Simple_Queue (void)
| Simple_Queue (MQ_Struct *mq)
int | init (MQ_Struct *mq, ACE_MEM_SAP::MALLOC_TYPE *malloc)
int | write (ACE_MEM_SAP_Node *new_msg)
ACE_MEM_SAP_Node * | read (void)
## Private Attributes
MQ_Struct * | mq_
ACE_MEM_SAP::MALLOC_TYPE * | malloc_

## Constructor & Destructor Documentation

ASYS_INLINE ACE_MT_MEM_IO::Simple_Queue::Simple_Queue | ( | void |  | ) |

ASYS_INLINE ACE_MT_MEM_IO::Simple_Queue::Simple_Queue | ( | MQ_Struct * | mq | ) |

## Member Function Documentation

ASYS_INLINE int ACE_MT_MEM_IO::Simple_Queue::init | ( | MQ_Struct * | mq,
|  | ACE_MEM_SAP::MALLOC_TYPE * | malloc
| ) |

ACE_MEM_SAP_Node * ACE_MT_MEM_IO::Simple_Queue::read | ( | void |  | ) |

int ACE_MT_MEM_IO::Simple_Queue::write | ( | ACE_MEM_SAP_Node * | new_msg | ) |

## Member Data Documentation

ACE_MEM_SAP::MALLOC_TYPE* ACE_MT_MEM_IO::Simple_Queue::malloc_`[private]`

MQ_Struct* ACE_MT_MEM_IO::Simple_Queue::mq_`[private]`

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/MEM_IO.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/MEM_IO.cpp
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/MEM_IO.i